Subject: Re: Unable to change remote url of origin

From: Kevin Daudt <[email-masked]>
Date: Wed, 27 Mar 2019 13:57:37 +0100

On Wed, Mar 27, 2019 at 01:25:27PM +0100, Petr Bena wrote:
> Hello,
> 
> I used to change remote URL simply by editing .git/config (which may not be
> most correct way), but out of sudden I am no longer able to do that. So I
> decided to do it the "proper way" but still - to no avail. Here is what I do
> and also it's visible what is wrong:
> 
> # Display remote URL
> 
> petr.bena@MacBook:~/Documents/grumpy$ git remote -v
> origin    [email-masked]:grumpy-irc/grumpy (fetch)
> origin    [email-masked]:grumpy-irc/grumpy (push)
> 
> #Now change it to HTTPS instead of SSH
> 
> petr.bena@MacBook:~/Documents/grumpy$ git remote set-url origin
> https://github.com/grumpy-irc/grumpy
> 
> # Verify if it has changed
> 
> petr.bena@MacBook:~/Documents/grumpy$ git remote -v
> origin    [email-masked]:grumpy-irc/grumpy (fetch)
> origin    [email-masked]:grumpy-irc/grumpy (push)
> 
> 
> It's still SSH. What am I doing wrong?
> 
> petr.bena@MacBook:~/Documents/grumpy$ git --version
> git version 2.21.0
> 
> 
> petr.bena@MacBook:~/Documents/grumpy$ cat .git/config
> [core]
>     repositoryformatversion = 0
>     filemode = true
>     bare = false
>     logallrefupdates = true
>     ignorecase = true
>     precomposeunicode = true
> [submodule]
>     active = .
> [remote "origin"]
>     url = https://github.com/grumpy-irc/grumpy
>     fetch = +refs/heads/*:refs/remotes/origin/*
> [branch "master"]
>     remote = origin
>     merge = refs/heads/master
> [submodule "src/libgp"]
>     url = http://github.com/grumpy-irc/libgp
> [submodule "src/libirc"]
>     url = http://github.com/grumpy-irc/libirc
> [branch "remote_scripts"]
>     remote = origin
>     merge = refs/heads/remote_scripts
> 

Hello Petr,

What does git config --show-origin remoe.origin.url return?

Kind regards, Kevin